Skip to main content
POST
/
v1
/
assistants
Create an assistant
curl --request POST \
  --url https://dev.flextell.ai/api/v1/assistants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "password": "<string>",
  "password_confirmation": "<string>",
  "phone": "<string>",
  "language": [
    "<string>"
  ],
  "avatar_url": "<string>",
  "is_active": true
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

Assistant's name.

Maximum string length: 255
email
string<email>
required

Assistant's email address.

Maximum string length: 255
password
string
required

Assistant's password.

Minimum string length: 8
password_confirmation
string
required

Assistant's password confirmation. Must match the password field.

Minimum string length: 8
phone
string | null

Assistant's phone number.

Maximum string length: 20
language
string[] | null

Assistant's language preferences.

avatar_url
string | null

Assistant's avatar URL.

Maximum string length: 1000
is_active
boolean | null

Assistant's active status.

Response